## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel
Interface CacheInfo

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Implementing Classes:
  CacheInfoImpl

    public interface CacheInfo

extends SQLObject

A representation of the model object 'Cache Info'.

The following features are supported:

- `Cache Strategy`
- `Cache`

See Also:
  `SybaseasesqlmodelPackage.getCacheInfo()`

Method Summary
`SybaseASECache` `getCache()` Returns the value of the 'Cache' reference.
`int` `getCacheStrategy()` Returns the value of the 'Cache Strategy' attribute.
`void` `setCache(SybaseASECache value)` Sets the value of the '`Cache`' reference.
`void` `setCacheStrategy(int value)` Sets the value of the '`Cache Strategy`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getCacheStrategy

    int getCacheStrategy()

  Returns the value of the 'Cache Strategy' attribute.

  If the meaning of the 'Cache Strategy' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Cache Strategy' attribute.
  See Also:
    `setCacheStrategy(int)`, `SybaseasesqlmodelPackage.getCacheInfo_CacheStrategy()`

### setCacheStrategy

    void setCacheStrategy(int value)

  Sets the value of the '`Cache Strategy`' attribute.

  Parameters:
    `value` - the new value of the 'Cache Strategy' attribute.
  See Also:
    `getCacheStrategy()`

### getCache

    SybaseASECache getCache()

  Returns the value of the 'Cache' reference.

  If the meaning of the 'Cache' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Cache' reference.
  See Also:
    `setCache(SybaseASECache)`, `SybaseasesqlmodelPackage.getCacheInfo_Cache()`

### setCache

    void setCache(SybaseASECache value)

  Sets the value of the '`Cache`' reference.

  Parameters:
    `value` - the new value of the 'Cache' reference.
  See Also:
    `getCache()`